Page MenuHomePhabricator

[Polly][Isl] Removing nullptr constructor from C++ bindings. NFC.
ClosedPublic

Authored by patacca on Jun 5 2021, 9:05 AM.

Details

Summary

[Polly][Isl] Removing nullptr constructor from C++ bindings. NFC.

This is part of an effort to reduce the differences between the custom C++ bindings used right now by polly in lib/External/isl/include/isl/isl-noxceptions.h and the official isl C++ interface.

Changes made:

Diff Detail

Event Timeline

patacca created this revision.Jun 5 2021, 9:05 AM
patacca published this revision for review.Jun 5 2021, 9:22 AM
patacca added a reviewer: Meinersbur.
patacca added a project: Restricted Project.
patacca added a subscriber: pollydev.
Herald added a project: Restricted Project. · View Herald TranscriptJun 5 2021, 9:22 AM
patacca updated this revision to Diff 350114.Jun 6 2021, 9:28 AM

Rebase to main

Meinersbur accepted this revision.Jun 6 2021, 9:48 PM

LGTM.

Could you mention in the commit message/summary that the goal/motivation is to make the isl-noexceptions.h converge towards the official bindings?

polly/lib/Transform/ScheduleOptimizer.cpp
550

This might have been there to ensure the order in which the objects are freed. LastSchedule must be free'd before IslCtx.

However, destruction order is defined to be in reverse of the field declaration order, so indeed what we want.

This revision is now accepted and ready to land.Jun 6 2021, 9:48 PM
patacca edited the summary of this revision. (Show Details)Jun 8 2021, 5:41 AM
This revision was landed with ongoing or failed builds.Jun 8 2021, 6:28 AM
This revision was automatically updated to reflect the committed changes.
patacca reopened this revision.Jun 8 2021, 1:57 PM
This revision is now accepted and ready to land.Jun 8 2021, 1:57 PM
patacca updated this revision to Diff 350710.EditedJun 8 2021, 1:58 PM

Replacing calls to nullptr constructor of isl::schedule to the default constructor in lib/CodeGen/PPCGCodeGeneration.cpp

patacca updated this revision to Diff 350711.Jun 8 2021, 1:59 PM

Rebase to main

This revision was landed with ongoing or failed builds.Jun 8 2021, 2:46 PM
This revision was automatically updated to reflect the committed changes.